aboutsummaryrefslogtreecommitdiffstats
path: root/main/boost/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-08-09 09:54:16 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-08-09 09:54:16 +0000
commitae25dc4dfdb7b4f7fe20ba1456ef7462e2a44a6c (patch)
tree0d134bdb0b5faed892dea51f24a325c10211dacc /main/boost/APKBUILD
parent87a69dd5ed6c13799ceda3661af34ac380fc6822 (diff)
downloadaports-ae25dc4dfdb7b4f7fe20ba1456ef7462e2a44a6c.tar.gz
aports-ae25dc4dfdb7b4f7fe20ba1456ef7462e2a44a6c.tar.bz2
aports-ae25dc4dfdb7b4f7fe20ba1456ef7462e2a44a6c.tar.xz
main/boots: build fix
new abuild purge $pkgdir before package. we need wait with installing things in "$pkgdir" til 'package' stage.
Diffstat (limited to 'main/boost/APKBUILD')
-rw-r--r--main/boost/APKBUILD18
1 files changed, 9 insertions, 9 deletions
diff --git a/main/boost/APKBUILD b/main/boost/APKBUILD
index 86bd0b0196..3d22e8d9d0 100644
--- a/main/boost/APKBUILD
+++ b/main/boost/APKBUILD
@@ -72,31 +72,31 @@ _options="--user-config=\"$_builddir/user-config.jam\"
-j${JOBS:-2}
"
-build() {
+build() {
msg "Building bjam"
export BOOST_ROOT="$_builddir"
cd "$_builddir"/tools/build/v2/engine
CC= ./build.sh cc || return 1
- _bindir="bin.linuxx86"
- [ "${CARCH}" = "x86_64" ] && _bindir="bin.linuxx86_64"
- install -m755 -d "$pkgdir"/usr/bin
- install -m755 ${_bindir}/bjam "$pkgdir"/usr/bin/bjam || return 1
- _bjam="$pkgdir"/usr/bin/bjam
+ _bindir="$PWD/bin.linux$CARCH"
+ _bjam="$_bindir"/bjam
msg "Building bcp"
cd "${_builddir}"/tools/bcp
"${_bjam}" -j${JOBS:-2} || return 1
- install -m755 "$srcdir"/${pkgname}_${_ver}/dist/bin/bcp \
- "$pkgdir"/usr/bin/bcp || return 1
msg "Building boost"
cd "$_builddir"
- "${_bjam}" $_options
+ "${_bjam}" $_options
}
package() {
cd "$_builddir"
export BOOST_ROOT="$_builddir"
+ local _bindir="$_builddir"/tools/build/v2/engine/bin.linux${CARCH}
+ install -m755 -d "$pkgdir"/usr/bin
+ install -m755 ${_bindir}/bjam "$pkgdir"/usr/bin/bjam || return 1
+ install -m755 "$srcdir"/${pkgname}_${_ver}/dist/bin/bcp \
+ "$pkgdir"/usr/bin/bcp || return 1
_bjam="$pkgdir"/usr/bin/bjam
"${_bjam}" $_options \
--includedir="$pkgdir"/usr/include \